Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 814359 - media-sound/sndio-1.8.1 version bump and add missing systemd integration
Summary: media-sound/sndio-1.8.1 version bump and add missing systemd integration
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Haelwenn (lanodan) Monnier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-22 14:47 UTC by MT
Modified: 2022-07-06 07:48 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MT 2021-09-22 14:47:37 UTC
https://repology.org/projects/?search=sndio

Please, update the current ebuild to the v1.8.1, which provides official support for systemd.

As stated in the official documentation[1], the corresponding systemd files are available in the contrib/ directory of the tarball.


[1]: https://sndio.org/install.html

Reproducible: Always
Comment 1 Haelwenn (lanodan) Monnier 2021-09-23 03:30:08 UTC
(In reply to MT from comment #0)
> https://repology.org/projects/?search=sndio
> 
> Please, update the current ebuild to the v1.8.1, which provides official
> support for systemd.
> 
> As stated in the official documentation[1], the corresponding systemd files
> are available in the contrib/ directory of the tarball.
> 
> 
> [1]: https://sndio.org/install.html
> 
> Reproducible: Always

aac840d (tag: release_1_8_1) oss: Fix sio_setpar() when channel number is not set
4d63a3b Merge remote-tracking branch 'refs/remotes/origin/master'
1f42a21 Drop assembly for 24-bit fixed-point operations
23e9ebe Use ${version} macro instead of hardcoded number
fde5ad8 (tag: release_1_8_0) Bump version to v1.8.0

These are the commits in the git repository, as you can see there is no mention of systemd in there.

This is the commit for the systemd service file:

commit d0eda3c80a6338ce6df2ed57e2fc0b0b77d39684
Author: Alexandre Ratchov <alex@caoua.org>
Date:   2017-09-18T19:40:44 GMT

    add sndiod.service file for systemd-based systems
Comment 2 MT 2021-09-30 08:32:01 UTC
> These are the commits in the git repository, as you can see there is no
> mention of systemd in there.

Then that means the current ebuild for v1.8.0 doesn't install systemd files, which violates QA/Ebuild Policies: https://wiki.gentoo.org/wiki/Project:Systemd/Ebuild_policy
Comment 3 Gino McCarty 2022-07-06 07:48:42 UTC
This is still an issue and very old?
can someone please apply this patch!

```
iff -u /usr/portage/media-sound/sndio/sndio-1.8.0-r1.ebuild sndio-1.8.0-r1.ebuild
--- /usr/portage/media-sound/sndio/sndio-1.8.0-r1.ebuild	2022-06-09 23:04:36.572116295 -0700
+++ sndio-1.8.0-r1.ebuild	2022-07-06 00:44:52.697681074 -0700
@@ -3,7 +3,7 @@

 EAPI=7

-inherit multilib-minimal toolchain-funcs
+inherit systemd toolchain-funcs

 DESCRIPTION="small audio and MIDI framework part of the OpenBSD project"
 HOMEPAGE="http://www.sndio.org/"
@@ -21,8 +21,8 @@
 IUSE="alsa"

 DEPEND="
-	dev-libs/libbsd[${MULTILIB_USEDEP}]
-	alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
+	dev-libs/libbsd
+	alsa? ( media-libs/alsa-lib )
 "
 RDEPEND="
 	${DEPEND}
@@ -33,10 +33,9 @@

 src_prepare() {
 	default
-	multilib_copy_sources
 }

-multilib_src_configure() {
+src_configure() {
 	tc-export CC

 	./configure \
@@ -49,7 +48,9 @@
 }

 src_install() {
-	multilib-minimal_src_install
-
+	systemd_dounit "contrib/sndiod.service"
 	doinitd "${FILESDIR}/sndiod"
+	mkdir -p "${D}/etc/default"
+	mv -vf "${S}/contrib/default.sndiod" "${D}/etc/default/sndiod" || die
+	default
 }
```

I dropped multilib because it just didn't make sense to me and made grabbing the contrib service file more complicated